Get task attachment download URL
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/attachments/{attachmentId}/download \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/attachments/{attachmentId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/attachments/{attachmentId}/download"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"downloadUrl": "https://bucket.s3.amazonaws.com/path/to/file.pdf?signature=...",
"expiresIn": 900
}{
"message": "Unauthorized"
}{
"message": "Task or attachment not found"
}Tasks
Get task attachment download URL | Comp AI API
Generate a signed download URL for an attachment on a compliance task so reviewers can access uploaded evidence.
GET
/
v1
/
tasks
/
{taskId}
/
attachments
/
{attachmentId}
/
download
Get task attachment download URL
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/attachments/{attachmentId}/download \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/attachments/{attachmentId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/attachments/{attachmentId}/download"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"downloadUrl": "https://bucket.s3.amazonaws.com/path/to/file.pdf?signature=...",
"expiresIn": 900
}{
"message": "Unauthorized"
}{
"message": "Task or attachment not found"
}Authorizations
API key for authentication
Path Parameters
Unique task identifier
Example:
"tsk_abc123def456"
Unique attachment identifier
Example:
"att_abc123def456"
Was this page helpful?

